<?php
session_start();
require_once ("../../config/Cado.php");
require_once ("../empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();
require_once ("../impresora/cImpresora.php");
$oImpresora = new cImpresora();
require_once("../formatos/formato.php");
require_once("../formatos/numletras.php");
require_once ("../notacredito/cNotacredito.php");
$oNotacredito = new cNotacredito();
	$dtsnotcre= $oNotacredito->mostrarUno($_POST['notcreid']);
	$dtnc= mysqli_fetch_array($dtsnotcre);
		
	$data['notcre_numdoc'] = $dtnc['tb_notacredito_numdoc'];
	$data['notcre_tip']	= '0'.$dtnc['tb_notacredito_tip'];
	$data['notcre_fec']	= $dtnc['tb_notacredito_fec'];
	$data['notcre_fecreg']	= $dtnc['tb_notacredito_reg'];
	$data['notcre_mot']	= $dtnc['tb_notacredito_motivo'];
	$data['notcre_tot']	= $dtnc['tb_notacredito_tot'];
	$data['notcre_valnot']	= $dtnc['tb_notacredito_tot']/1.18;
	$data['notcre_igv']	= $data['notcre_valnot']*0.18;
	$data['DigVal']	= $dtnc['tb_notacredito_digval'];
	$data['SigVal']	= $dtnc['tb_notacredito_sigval'];
	$venid	= $dtnc['tb_venta_id'];
			
	mysqli_free_result($dtsnotcre);
	
	
	$ser =  substr($data['notcre_numdoc'],0,4);
	$corr =  substr($data['notcre_numdoc'],5,13);
	
	//$data['urlimg_code'] = 'http://siis.ovh/ferreteria_sullon/app/venta/barcode/'.$ser.'-'.$corr.'.jpg';
	
	$data['notcreurlimg_code'] = 'localhost/sullon/app/notacredito/barcode/'.$ser.'-'.$corr.'.png';
	$data['notcrenomimg_code'] = $ser.'-'.$corr.'.jpg';
	
	$dtsven= $oVenta->mostrarUno_ticket($venid);
	$dtven= mysqli_fetch_array($dtsven);
	//VENTA
	$ven_numDoc	=$dtven['numdoc'];
	$ven_docNom=$dtven['tb_documento_nom'];
	$ven_docAbr=$dtven['tb_documento_abr'];
	$ven_punVen=$dtven['tb_puntoventa_nom'];	
	$ven_venNom=$dtven['tb_usuario_nom'].' '.$dtven['tb_usuario_ape'];
	$ven_fecReg=$dtven['tb_venta_reg'];
	$ven_fec=$dtven['tb_venta_fec'];
	$ven_valven=$dtven['tb_venta_tot'];
	$ven_igv=0;
	$ven_tot=$dtven['tb_venta_tot'];
	$ven_pisNom=$dtven['tb_piso_nom'];
	$ven_moneid = $dtven['moneid'];
	//CLIENTE
	$cliNom=$dtven['tb_cliente_nom'];
	$cliDoc=$dtven['doc'];
	$cliDir=$dtven['dir'];
	$cliId=$dtven['cliid'];
	$empId=$dtven['tb_empresa_id'];
	
	mysqli_free_result($dtsven);
	
	
$dtsi=$oImpresora->mostrarUno('1');
$dti = mysqli_fetch_array($dtsi);
	$imp_nom 	=$dti['tb_impresora_nom'];
	$imp_nomloc =$dti['tb_impresora_nomloc'];
	$imp_ser 	=$dti['tb_impresora_ser'];
	$imp_url 	=$dti['tb_impresora_url'];
	$imp_ip 	=$dti['tb_impresora_ip'];
mysqli_free_result($dts);
$dts=$oEmpresa->mostrarUno($empId);
$dt = mysqli_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];
	$emp_nomcom=$dt['tb_empresa_nomcom'];
	$emp_razsoc=$dt['tb_empresa_razsoc'];
	$emp_dir=$dt['tb_empresa_dir'];
	$emp_dir2=$dt['tb_empresa_dir2'];
	$emp_tel=$dt['tb_empresa_tel'];
	$emp_ema=$dt['tb_empresa_ema'];
	$emp_fir=$dt['tb_empresa_fir'];		
mysqli_free_result($dts);
// DATOS A IMPRIMIR
$data['imp_nom'] = $imp_nom;
$data['imp_nomloc'] = $imp_nomloc;
$data['imp_ser'] = $imp_ser;
$data['imp_url'] = $imp_url;
$data['imp_ip']	 = $imp_ip;
$archivo_ticket='notacredito/notacredito_ticket_mat.php';
$data['imp_doc'] = $imp_url.$archivo_ticket;
$data['emp_razsoc'] =htmlspecialchars($emp_razsoc);
$data['emp_nomcom'] =htmlspecialchars($emp_nomcom);
$data['emp_ruc']	=$emp_ruc;
$data['emp_dir1']	=$emp_dir;
$data['emp_dir2']	=$emp_dir2;
$data['emp_tel']	=$emp_tel;
if($ven_docAbr=='F'){
	$tipcom_sunat = "01";
}else if($ven_docAbr=='B'){
	$tipcom_sunat = "03";
}
$cont = strlen($cliDoc);
if($cont==8){
	$tipcom_cli = 01;
}else if($cont==11){
	$tipcom_cli = 06;
}
if($ven_moneid==1){
	$mon_let = 'PEN';
$lblmon=" SOLES";	
}else if($ven_moneid==2){
	$mon_let = 'USD';
	$lblmon=" DOLARES";
}

$data['notcre_serdoc'] = $ser;
$data['notcre_corrdoc'] = $corr;

$data['notcre_tipcom']	= $tipcom_sunat;
$data['tipcom_cli']	=$tipcom_cli;
$data['tipcom']	=$tipcom_cli;
$data['ven_moneid'] = $ven_moneid;
$data['mon_let'] = $mon_let;
$data['venta_id']	=$_POST['venid'];
$data['ven_reg']	=$ven_fecReg;
$data['ven_fec']	=$ven_fec;
$data['ven_numdoc'] = $ven_numDoc	;
$data['ven_docabr'] = $ven_docAbr;
$data['url_gennotcre'] = '../../docgeneracion/generarnotcre.php';
$data['cli_nom'] = $cliNom;
$data['cli_numdoc'] = $cliDoc;
$data['cli_dir'] = $cliDir;
$data['cli_id'] = $cliId;
$data['ven_valven'] = $ven_valven; //formato_money($ven_valven);
$data['ven_igv'] = $ven_igv; // formato_money($ven_igv);
$data['ven_tot']	= $ven_tot; // formato_money($ven_tot);
$data['ven_lettot']	= numtoletras($ven_tot).$lblmon;
$data['ven_vennom']	= $ven_venNom;
$data['usu_nom']	= "".$ven_punVen."/C".$ven_pisNom;
//DATOS NOTA DE CREDITO
			
//Detalle de venta
if($data['notcre_tip']=='01' || $data['notcre_tip']=='06' || $data['notcre_tip']=='07'){
$dtsnotdet=$oNotacredito->mostrar_detalle($_POST['notcreid']);
$num_rows= mysqli_num_rows($dtsnotdet);
	while($dt1 = mysqli_fetch_array($dtsnotdet))
	{
		$preuni = $dt1["tb_notacreditodetalle_preuni"];		
		$uniabr = $dt1["tb_unidad_abr"];		
		$valuni=$preuni/1.18; 
		$valtot=$valuni * $dt1["tb_notacreditodetalle_can"]; 
		$pretot=$preuni * $dt1["tb_notacreditodetalle_can"]; 
		
		$data['pro_id'][]= $dt1["tb_producto_id"];
		$data['art'][]= limpiar_string ($dt1["tb_notacreditodetalle_nom"]);
		$data['can'][]= $dt1["tb_notacreditodetalle_can"]*1;
		$data['mar_nom'][]= $dt1["tb_marca_nom"];
		$data['uni_nom'][]= $dt1["tb_unidad_abr"];
		$data['valuni'][]=$valuni; 
		$data['preuni'][]=$preuni; 
		$data['notdet_uni'][]=$uniabr; 
		$data['valtot'][]=$valtot; 
		$data['pretot'][]=$pretot;
	}
	mysqli_free_result($dtsnotdet);	
}else if($data['notcre_tip']=='04'){
	
		$data['pro_id'][] = '04';
		$data['art'][] = 'DESCUENTO GLOBAL';
		$data['can'][] = '1';
		$data['preuni'][] = $data['notcre_tot'];
		$data['valuni'][] = $data['notcre_tot']/1.18;
		$data['valtot'][] = ($data['notcre_tot']/1.18)* 1;
		$data['notdet_uni'][]='NIU'; 
	
}else if($data['notcre_tip']=='05'){
	
		$data['pro_id'][] = '05';
		$data['art'][] = 'DESCUENTO POR ITEM';
		$data['can'][] = '1';
		$data['preuni'][] = $data['notcre_tot'];
		$data['valuni'][] = $data['notcre_tot']/1.18;
		$data['valtot'][] = ($data['notcre_tot']/1.18)* 1;
		$data['notdet_uni'][]='NIU'; 
	
}
echo json_encode($data);
?>